librime (1.16.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jan 2026 09:52:57 -0500

librime (1.16.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/librime1t64.shlibs: Bump versions.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jan 2026 11:19:00 -0500

librime (1.15.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Drop override to dh_fixperms, not needed anymore.
  * debian/patches: Refresh patches.
  * debian/librime1t64.shlibs: Bump versions.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Dec 2025 14:55:33 -0500

librime (1.14.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Sep 2025 19:39:12 -0400

librime (1.14.0+dfsg1-2~exp1) experimental; urgency=medium

  * Test build against libmarisa 0.3+.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Sep 2025 13:33:12 -0400

librime (1.14.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.14.0+dfsg1
  * debian/rules: Update component rev versions.
  * debian/librime1t64.shlibs: Bumped versions.
  * debian/: Solve lintian warnings.
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Sep 2025 15:58:11 -0400

librime (1.13.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/librime1t64.shlibs: Bump versions.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 11:14:32 -0500

librime (1.13.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 09:40:56 -0500

librime (1.13.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh plugin version:
    + lua: 20241221.
    + charcode: 20240319.
    + octagram: 20241118.
  * debian/librime1t64.shlibs: Bump versions.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Jan 2025 17:13:27 -0500

librime (1.12.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Nov 2024 22:30:42 -0500

librime (1.12.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh plugin version:
    + lua: 20241102
  * debian/librime1t64.shlibs: Bump versions.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Nov 2024 18:28:17 -0500

librime (1.11.2+dfsg1-3) unstable; urgency=medium

  * Rebuild against libopencc 1.1.9.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Aug 2024 15:57:43 -0400

librime (1.11.2+dfsg1-2) unstable; urgency=medium

  * Rebuild against libopencc 1.1.8.
  * debian/patches/0001-Use-googletest-lib-built-from-source.patch:
    Mark the patch as Forwarded: not-needed.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 15:45:22 -0400

librime (1.11.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh plugin versions:
    + lua: 20240519
  * debian/librime1t64.shlibs: Bump minimum version to 1.11.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2024 20:05:55 -0400

librime (1.10.0+dfsg1-2) unstable; urgency=medium

  [ Benjamin Drung ]
  * Rename libraries for 64-bit time_t transition.  Closes: #1062609

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Feb 2024 18:52:08 -0500

librime (1.10.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh plugin versions:
    + charcode: 20240209
    + lua: 20240206
    + octagram: 20240205
  * debian/librime1.shlibs: Bump minimum version to 1.10.0.
  * debian/control: Add build-dependency on libutfcpp-dev.
  * debian/copyright: Exclude libutfcpp headers, use system version.
  * debian/control: Drop unused boost components libboost-filesystem-dev,
    libboost-system-dev, libboost-thread-dev from build-dependency list.
  * debian/rules:
    + Enable ENABLE_TIMESTAMP flag for reproducible-builds.
    + Remove unused BOOST_USE_CXX11 flag.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Feb 2024 17:22:10 -0500

librime (1.9.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/clean: Update to fix build failure after successful build.
    (Closes: #1046487)
  * debian/librime1.shlibs: Bump minimum version to 1.9.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Sep 2023 17:30:44 -0400

librime (1.9.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh plugin versions:
    + charcode: 20230904
    + lua: 20230917
    + octagram: 20230125
  * debian/watch: Update file exclusion patterns.
  * debian/patches/0001-Use-googletest-lib-built-from-source.patch:
    Add patch to use system googletest source code for unit tests.
  * debian/rules: Enable testing accordingly.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Sep 2023 20:46:35 -0400

librime (1.8.5+dfsg1-2) unstable; urgency=medium

  [ xiao sheng wen ]
  * debian/clean: Add trailing slash for dh_clean compatibility with
    new debhelper.

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Aug 2023 20:11:59 -0400

librime (1.8.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Dropped, merged upstream.
  * debian/librime1.shlibs: Tighten version requirement to current.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Feb 2023 19:19:08 -0500

librime (1.8.3+dfsg1-2) unstable; urgency=medium

  * New upstream release:
    + Backport patches to match upstream 1.8.4 release.

 -- Boyuan Yang <byang@debian.org>  Mon, 30 Jan 2023 21:48:51 -0500

librime (1.8.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Import latest plugin versions in 2023.
  * debian/librime1.shlibs: Tighten version requirement to current.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Jan 2023 10:32:43 -0500

librime (1.7.3+dfsg4-2) unstable; urgency=medium

  * Rebuild against opencc 1.1.4.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jun 2022 20:30:44 -0400

librime (1.7.3+dfsg4-1) unstable; urgency=medium

  * debian/rules: Use individual binary package version strings for
    plugin packages via dh_gencontrol.
  * Update plugins to latest git snapshot:
    + charcode: 20220204
    + lua: 20220206
    + octogram: 20210816

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Mar 2022 11:27:41 -0400

librime (1.7.3+dfsg3-2) unstable; urgency=medium

  * Source-only upload.
  * debian/upstream/metadata: Add metadata file.
  * debian/control: Drop Multi-Arch: same field from package librime-dev.
    /usr/include/rime/build_config.h contains arch-dependent information.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jan 2022 14:29:12 -0500

librime (1.7.3+dfsg3-1) unstable; urgency=medium

  * Include source code for more extensions:
    + librime-charcode
    + librime-octagram
  * Add new binary packages accordingly:
    + librime-plugin-charcode
    + librime-plugin-octagram
  * debian/copyright: Updated accordingly.
  * debian/control: Let librime1 recommend installation of plugins.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Jan 2022 16:45:14 -0500

librime (1.7.3+dfsg2-1) unstable; urgency=medium

  * Include source code for librime-lua extension.
  * debian/control: Add new binary package librime-plugin-lua.
  * debian/rules: Update plugin logic accordingly.
  * debian/librime-plugin-lua.lintian-overrides:
    + Also override lintian shared-library-is-executable.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Jan 2022 16:12:48 -0500

librime (1.7.3+dfsg1-2) unstable; urgency=medium

  * librime-bin: Install custom helper script debian-rime-processor
    into /usr/bin/ to help with future build of RIME schemas.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Dec 2021 21:57:06 -0500

librime (1.7.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.7.3+dfsg1.
  * debian/librime1.shlibs: Limit to latest build.
  * Bump Standards-Version to 4.6.0.
  * debian/control: Require cmake 3.10+.
  * debian/rules: Enable external plugin loading.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Oct 2021 23:43:21 -0400

librime (1.6.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #971826)

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Jan 2021 11:28:25 -0500

librime (1.6.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release 1.6.1.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Dec 2020 22:47:36 -0500

librime (1.5.3+git20200621+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 11:39:21 -0400

librime (1.5.3+git20200621+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
    + Support opencc 1.1.
  * debian/patches: Drop all patches, merged upstream.
  * Enforce package dependency with opencc 1.1+.
  * debian/shlibs: Bump version requirement accordingly.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 19:56:40 -0400

librime (1.5.3+dfsg1-6) unstable; urgency=high

  * Another rebuild to deal with the ABI compatibility issue
    with libyaml-cpp.
  * debian/control:
    + Conflicts with libopencc-dev (>= 1.1.0~) since there are
      binary incompatibilities. Upstream trunk has corresponding
      fixes that needs to be cherry-picked later.
    + Add Breaks relationship for binary packages as well.
    + Bump versioned build-dependency for libyaml-cpp-dev to be
      (>= 0.6.3-7~) to enforce the rebuild.
  * debian/rules: Drop useless dh_missing override.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 May 2020 15:37:31 -0400

librime (1.5.3+dfsg1-5) unstable; urgency=medium

  * debian/control:
    + Bump debhelper compat to v13.
    + Force rebuild with opencc 1.0.6+. (Closes: #959223)
  * debian/librime1.shlibs: Bump minimal library version to
    1.5.3+dfsg1-5~ to avoid potential ABI incompatibility cased
    by the rebuild.
  * debian/rules: Drop as-needed linker flag, not longer needed.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 May 2020 10:26:39 -0400

librime (1.5.3+dfsg1-4) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.5.0.
    - Drop build-dependency on libboost-signals-dev. This is no
      longer needed since librime 1.3.2. (Closes: #951221)
    + Mark package librime-dev as Multi-Arch: same.

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Feb 2020 14:27:18 -0500

librime (1.5.3+dfsg1-3) unstable; urgency=high

  * debian/patches/0010: Add patch for CMakeLists.txt to properly
    generate pkgconfig file with absolute path. (Closes: #946741)

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Dec 2019 13:15:08 -0500

librime (1.5.3+dfsg1-2) unstable; urgency=high

  * Team upload.
  * debian/patches/0009: Add patch for CMakeLists.txt to properly
    support GNU/Hurd.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2019 12:36:57 -0500

librime (1.5.3+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release 1.5.3.
  * debian/control: Bump Standards-Version to 4.4.1.
  * debian/patches: Backport upstream patches till 2019-12-12.
  * debian/librime1.shlibs: Bump minimum compat version to
    be 1.5.3.
  * d/s/lintian-overrides: Removed, useless now.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2019 10:35:24 -0500

librime (1.5.2+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release 1.5.2.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Jun 2019 14:03:03 -0400

librime (1.4.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix pkg-config libdir variable. (Closes: #921753)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 12 Feb 2019 01:50:40 +0800

librime (1.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream release 1.4.0.
  * debian/watch: Repack upstream tarball on new release.
  * debian/patches:
    + Refresh patches.
    + Add patch to fix FTBFS on non-Linux platforms. (MR: !1)

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Jan 2019 12:52:16 -0500

librime (1.3.2+dfsg1-2) unstable; urgency=medium

  * Rebuild for libyaml-cpp0.6 transition.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Jan 2019 09:22:35 -0500

librime (1.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream release 1.3.2.
  * Rebuild for libboost1.67 transition.
  * debian/control:
    + Explicitly add versioned build-dependency on libyaml-cpp-dev
      (>= 0.5.2-4.1~) to prevent building against broken yaml-cpp
      packages.
  * debian/watch:
    + Update to v4 format, update watch URL.
  * debian/copyright:
    + Update Files-Excluded list.
  * debian/patches:
    + Refresh patches, drop patches applied upstream.

 -- Boyuan Yang <byang@debian.org>  Mon, 19 Nov 2018 21:08:11 -0500

librime (1.3.1+dfsg1-2) unstable; urgency=medium

  * Rebuild against gcc 8.
  * debian/control:
    + Update uploader info and use the @debian.org email address.
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update Vcs-* fields and use the repo under Salsa Input Method Team.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Aug 2018 23:44:00 -0400

librime (1.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add myself into uploaders list.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Migrate to Salsa platform for Vcs fields.
  * d/control: Restrict librime-data (brise) version to >= 0.38 to
    ensure users are using newer brise that is compatible with librime
    1.3+.
  * d/patches: Refresh patches and backport several upstream patches.
  * d/shlibs: Add a shlibs file to ensure link against latest librime
    library.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 22 Jun 2018 20:42:21 +0800

librime (1.2.10+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove more unused source code and regenerate +dfsg2 tarball.
  * d/patches: Backport some fixes, refresh patches.
  * d/copyright: Refresh copyright information.
  * d/control: Use debian-input-method maillist in Maintainer field.
  * d/control: Add libboost-locale-dev as build dependency.
  * d/rules: Install CHANGELOG.md as upstream changelog.
  * d/rules: Disable tests since GTest module is problematic.
  * d/control: Apply "wrap-and-sort -abst".
  * d/compat: Bump to debhelper compat v11.
  * d/watch: Use dversionmangle instead of uversionmangle.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 25 Feb 2018 16:16:40 +0800

librime (1.2.9+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Rebuild the package and closes: #883373.
  * Remove zlib1.dll from source code and generate +dfsg2 tarball.
  * Bump Standards-Version to 4.1.3.
  * Use automatic debug packages, drop librime1-dbg.
  * Bump debhelper compat to v10.
  * d/rules: replace dh_install with the newer dh_missing.
  * d/rules: drop --parallel argument, no longer needed.
  * d/copyright: use secure url for copyright format, minor updates.
  * d/patches: add patch to turn on multiarch support for librime.
    Thus librime-dev is converted to arch:any.
  * d/control: mark librime1 as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Dec 2017 09:20:58 +0800

librime (1.2.9+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.9+dfsg1
    (Closes: #793255, #811637, #822122)
  * Bump opencc to >= 1.0.1
  * std-ver: 3.9.6 -> 3.9.8, no change
  * Update homepage to Github
  * Update VCS-Browser URL to HTTPS
  * Add -DBOOST_USE_CXX11=ON
  * Remove unneeded patch
  * Replace libkyotocabinet-dev with libleveldb-dev
  * Remove unneeded docs installation

 -- Aron Xu <aron@debian.org>  Mon, 08 Aug 2016 17:30:01 +0800

librime (1.2+dfsg-2) unstable; urgency=medium

  * Rebuild with libyaml-cpp0.5, 0.5.2. (Closes: #784199)
  * Updated copyright.
  * Bumped standard version to 3.9.6, no changes needed.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Fri, 08 May 2015 01:14:42 -0400

librime (1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-dep on libmarisa-dev.
  * Added oldschool.diff to build without c++11. (Closes: #754199)
  * Updated copyright.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Sat, 19 Jul 2014 12:54:07 -0400

librime (1.1+dfsg-2) unstable; urgency=medium

  * debian/watch: mangle version for repacking.
  * debian/copyright: added Files-Excluded to remove binaries.
  * debian/control: added myself to uploaders.
  * Renamed librime1-dev back to librime-dev, as advised by the
    release team.

 -- Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>  Wed, 02 Jul 2014 21:42:55 -0400

librime (1.1+dfsg-1) unstable; urgency=medium

  [ Guo Yixuan (郭溢譞) ]
  * New upstream release. (Closes: #746152)
  * librime1-dev: conflicts and replaces librime-dev, for
    renaming.
  * librime1-dev: dropped max version dependency on librime1.
    (Closes: #750623)
  * Bumped standard version to 3.9.5, no changes needed.

  [ Osamu Aoki (青木 修) ]
  * Removed binary blobs in thirdparty/{bin,src/opencc-windows}/ .
  * Updated copyright file.
  * Re-add max version dependency using Upstream-Version.

 -- Osamu Aoki <osamu@debian.org>  Sun, 29 Jun 2014 21:54:11 +0900

librime (1.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Bumped SOVERSION.

 -- Aron Xu <aron@debian.org>  Tue, 03 Dec 2013 02:58:47 +0800

librime (0.9.9-1) unstable; urgency=low

  * Imported Upstream version 0.9.9 (Closes: #724153)
  * Bump standard version to 3.9.4, no changes required.
  * Add a clean symbols file back:
     Only Rime* are symbols to export (Closes: #705902)
     Remove unused no-symbols-control-file
  * Update git url to canonical

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 11 Oct 2013 12:11:56 +0800

librime (0.9.8-2) unstable; urgency=low

  * Drop symbols file, as this package seems some chaos for symbols
    (Closes: #700988).
  * -DCMAKE_BUILD_TYPE=Release to disable lots logs (Closes: #702259).

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 20 Feb 2013 23:58:11 +0800

librime (0.9.8-1) unstable; urgency=low

  * New uptream release.
  * Add myself to Uploaders.

 -- YunQiang Su <wzssyqa@gmail.com>  Thu, 07 Feb 2013 16:25:20 +0800

librime (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Delete patches.
  * Add --fail-missing to rules.

 -- Qijiang Fan <fqj1994@gmail.com>  Wed, 26 Sep 2012 21:51:49 +0800

librime (0.9.2+git20120725-1) unstable; urgency=low

  * Initial release (Closes: #677341).

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 08 Jun 2012 18:04:26 +0800
